Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.utils.common
Class ParserHelper

    java.lang.Object
      oracle.ifs.utils.common.ParserHelper

    public class ParserHelper

extends java.lang.Object

The `ParserHandler.java` class - handles putting and parsing of content onto the system

Field Summary
`protected IfsObjectResolver` | `m_lookup` the object resolver
`protected java.util.Hashtable` | `m_parserLookup` only lookup, construct a parser once
`protected PublicObjectUtilities` | `m_poUtils` PublicObjectUtilities
`protected LibrarySession` | `m_session` the session

Constructor Summary
`ParserHelper(LibrarySession session)` Creates a Parser Handler-- standard variant

Method Summary
`LibraryObject` | `parseExistingDocument(Document doc, java.lang.String workingName, java.lang.String workingParentFolderPath, ParserCallback callback, AccessControlList acl)` Handles the creation of objects given an existing Document.
`boolean` | `parserExists(java.lang.String filename)` Checks to see if a filename should be parsed.
`LibraryObject` | `parseStream(java.io.InputStream in, java.lang.String name, java.lang.String parentFolderPath, ParserCallback callback, AccessControlList acl, java.lang.String language, java.lang.String characterSet)` Handles the creation of objects given a Stream and a name

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_parserLookup

    protected java.util.Hashtable m_parserLookup

  Description copied from class: `ParserHelper`
  only lookup, construct a parser once

### m_session

    protected LibrarySession m_session

  Description copied from class: `ParserHelper`
  the session

### m_lookup

    protected IfsObjectResolver m_lookup

  Description copied from class: `ParserHelper`
  the object resolver

### m_poUtils

    protected PublicObjectUtilities m_poUtils

  Description copied from class: `ParserHelper`
  PublicObjectUtilities

Constructor Detail

### ParserHelper

    public ParserHelper(LibrarySession session)

  Creates a Parser Handler-- standard variant

Method Detail

### parserExists

    public boolean parserExists(java.lang.String filename)

  Description copied from class: `ParserHelper`
  Checks to see if a filename should be parsed.

  Parameters:
    `filename` - the filename

### parseStream

    public LibraryObject parseStream(java.io.InputStream in,
                                     java.lang.String name,
                                     java.lang.String parentFolderPath,
                                     ParserCallback callback,
                                     AccessControlList acl,
                                     java.lang.String language,
                                     java.lang.String characterSet)
                              throws IfsException,
                                     java.io.IOException

  Description copied from class: `ParserHelper`
  Handles the creation of objects given a Stream and a name

  Parameters:
    `in` - the InputStream that contains the data
    `name` - the name used to determine the parser and maybe the name of the object
    `parentFolderPath` - the path to the parentfolder
    `callback` - the parser callback passed to the parser
    `acl` - an overridding acl for public objects
    `language` - the language of the document
    `characterSet` - the character set of the document
  Returns:
    the foldered object (the family the new object was created in or the created object)
  Throws:
    `IfsException`
    `java.io.IOException`

### parseExistingDocument

    public LibraryObject parseExistingDocument(Document doc,
                                               java.lang.String workingName,
                                               java.lang.String workingParentFolderPath,
                                               ParserCallback callback,
                                               AccessControlList acl)
                                        throws IfsException,
                                               java.io.IOException

  Description copied from class: `ParserHelper`
  Handles the creation of objects given an existing Document. This method is meant for use with unfoldered docs and may have undesired results if the document is foldered. the caller of this method is responsible for deleting the "literal" once the method returns.

  Parameters:
    `doc` - the existing unfoldered doc
    `workingName` - the name used to determine the parser and maybe the name of the object
    `workingParentFolderPath` - the path to the parentfolder
    `callback` - the parser callback passed to the parser
    `acl` - an overridding acl for public objects
  Returns:
    the object (the family the new object was created in or the created object)
  Throws:
    `IfsException`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD